NetWaiting

NetWaiting offers you the ability to manage all your telephone communications while connected to the Internet, over a single telephone line.

This application allows you to put your Internet connection on hold while you:

  • Answer an incoming call

  • Ignore an incoming call

  • Place a telephone call

then return to it without losing your original Internet connection.

To have access to all the NetWaiting functions, your Internet Service Provider must use a server with a V.92 connection.

If you do not have a V.92 connection but a V.90, only the call signal function will operate and the current Internet connection will be lost if you choose to answer an incoming call. If you reject an incoming call, your Internet connection will be maintained.

The main window of NetWaiting

The main window of NetWaiting is displayed on screen when:

  • You receive a call during an Internet session.

  • You place a call during an Internet session by double clicking on the telephone icon (usually yellow) on the desktop toolbar.

The icons:

Accept accept an incoming call during an Internet connection

Reject reject an incoming call during an Internet connection

Disconnect end the current Internet session

Outgoing call place a call during an Internet session

Reconnect reconnect to the Internet

Table editor access the T able editor

Settings set Settings

Quit exit the application

Help access help file

Incoming call section

This section shows Caller ID data. NetWaiting will display the phone number if you have the Caller Waiting ID service and, if applicable, the caller's name.

Status bar

This shows the status of the modem in real time. A timer shows the time remaining to select a call response option. This time varies according to the setting used by your Internet Service Provider.

If the given time has elapsed and you have not selected an option, the window will disappear, the call is ignored and your Internet session will continue. As far as the caller is concerned you are unavailable.

Receive a call during an Internet connection

When you receive a voice call during an Internet session, the main window of NetWaiting appears on the screen. It shows the telephone number of the caller if you have Caller Waiting ID and their name if you have previously added it to the table editor. The time remaining to respond to this call, allocated by your Internet Service Provider, is shown in the status bar.

To ignore a call:

  1. Click on the Reject icon.

  2. The main window of NetWaiting will disappear and the caller will receive no reply.

Your Internet session is maintained. As far as the caller is concerned, you are unavailable.

To answer a call:

  1. Click on the Accept icon.

  2. Pick up your telephone handset after the messages and timer have changed.

Your Internet session is put on hold during your telephone conversation.

To resume your Internet session, replace the handset and click on Reconnect.

Note :

If you do not have a V.92 connection, accepting a call will automatically interrupt the existing Internet session.

You can reconnect to or disconnect from an Internet session during your voice communication by clicking on either Reconnect or Disconnect in the main window of NetWaiting.

Placing a call during an Internet connection

Warning:
Not all modems have the ability to place a call during an Internet connection.

To place a voice call during an Internet connection:

  1. Double click the telephone icon (usually yellow) on the desktop toolbar. The main window of NetWaiting will appear on screen.

  2. Click the Outgoing Call icon. The modem will suspend the current Internet connection without disconnecting.

  3. Pick up the handset and place the call.

  4. Replace the handset once the call is finished and click on Reconnect to resume your Internet session.

You can reconnect to or disconnect from an Internet session during your voice communication by clicking on either Reconnect or Disconnect in the main window of NetWaiting.

See also:

  • Access T able editor

  • Set your Settings


Phonebook

Table Editor

With NetWaiting, you have a table editor that recognizes and displays on screen your caller's telephone number. NetWaiting also displays the names that you have assigned to these numbers, so you can identify the caller and choose whether or not to answer. To use these functions, you must subscribe to the Caller Waiting ID service from your telephone provider.

Accessing the table editor

From the main window of NetWaiting, click on the Caller ID Table Editor icon. The table editor window will appear.

  • The Name column shows the name of the caller, which is displayed on your screen when this person calls.

  • The Telephone column shows the telephone number of the caller, which is displayed on your screen when this person calls.

  • The Save icon allows you to save the data entered, modified and/or deleted in the Name column.

  • The Delete icon allows you to delete entries from the table editor .

  • The Quit icon closes the table editor and returns to the main window of NetWaiting.

Saving and printing the table editor

You can export your table editor into a text file (.txt), save it to disk and print it out.

To do this:

  1. From the main window of NetWaiting, click on Caller ID Table Editor.

  2. Click on Export and select the path to the local directory where you wish to place the table editor .

  3. In the Filename box, enter the name that you wish to allocate to it.

  4. Click on Save. Your table editor is saved in the directory that you have specified.

See also:

  • Main window of NetWaiting

  • Set your Settings


Preferences

Settings

NetWaiting offers you the ability to pre-set certain options to activate or deactivate during your Internet session:

Specify call options:

- Ignore all incoming calls

- Choose ring tone

Access Settings menu

From the main window of NetWaiting, click on Settings. The Settings window will be displayed.

Communications tab

From this tab you can set up and select your communication preferences.

Communication options:

In the NetWaiting section, you can check or uncheck the boxes listed below.

Ignore all incoming calls

Check this box to prevent being interrupted during Internet sessions. In this case, the caller will receive no reply.

Screen all incoming calls and prompt the user

Check this box to be notified of all incoming calls during Internet sessions. In this case, the main window of NetWaiting will be displayed by default when you receive a call during an Internet session.

If no box is checked, the telephone icon (usually yellow) on the desktop toolbar will flash when you receive a call, but no message will be displayed on screen.

Customize tab

From this tab you can select the ring tone for all your incoming calls.

To do this:

1. Check Enable sound alerts.

2. In the Voice call section, click on the B rowse icon and indicate the path for the sound file that you wish to allocate to voice calls, then click on the Listen icon (an ear) to hear the ring tone that you have selected.

3. Click OK.

From this tab, you can also choose to have the Netwaiting presentation screen displayed when starting.

To do this:

Check the Show splash at startup box.

See also:

· Main window of NetWaiting

· Access Table editor


V.92 connection

WARNING:

Your NetWaiting program will not work without these two requirements.

· Call-Waiting Service

Your telephone company must offer call-waiting service in order for you to be notified of a call while you are online. Check with your telephone company to determine if call-waiting service is available in your area. You must subscribe to call-waiting service prior to using this application.

· ISP Supports V.92

Your ISP must support V.92 in order for NetWaiting to work. Check with your ISP to determine if V.92 is supported. If your ISP supports V.92, the ISP can also tell you the Call On Hold Time or the time allowed for the Internet connection to be placed on hold before the Internet connection is disconnected.